package com.brilliance.isc.common.stgmod.service;


import com.brilliance.isc.common.stgmod.vo.StgmodVo;

import java.util.Map;

public interface StgmodService {


    void gridCfgInit(StgmodVo stgmod);

    void gridCfgAddJoinIns(StgmodVo stgmod, String argIns, String argTbl, String argCon);

    void gridCfgAddFld(StgmodVo stgmod, String argIns, Map<String,String> argFld, double argPos, String argHea, int argSiz, String argCod);

    void gridCfgAddPts(StgmodVo stgmod, String argIns, String argRol, String argBusIns, String argTyp);

    void gridCfgAddPta(StgmodVo stgmod, String argIns, String argrol, String argBusIns, String argTyp);

    void gridCfgAddCbs(StgmodVo stgmod, String argIns, String argCbc, String argExtid, String argBusIns, String argTyp);


    void gridCfgSetDefaultOrder(StgmodVo stgmod, String argTds, String argOrder);

    void gridCfgStore(StgmodVo stgmod, String argTds);

    String gridCfgGetTbl4Ins(StgmodVo stgmod, String argIns);

}
